Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::coerce< T > Struct Template Reference
Utility
Inheritance diagram for ranges::v3::coerce< T >:

## Public Member Functions
constexpr T & | operator() (T &t) const
constexpr T const & | operator() (T const &t) const
constexpr T | operator() (T &&t) const
T | operator() (T const &&) const =delete

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename T>

constexpr T const& ranges::v3::coerce< T >::operator() | ( | T const & | t | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ operator()() [2/2]

template<typename T>

constexpr T ranges::v3::coerce< T >::operator() | ( | T && | t | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.